org.sunflow.image

## Class RGBSpace

- java.lang.Object
- - org.sunflow.image.RGBSpace

-     public final class RGBSpace
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RGBSpace` | `ADOBE`
    `static RGBSpace` | `APPLE`
    `static RGBSpace` | `CIE`
    `static RGBSpace` | `EBU`
    `static RGBSpace` | `HDTV`
    `static RGBSpace` | `NTSC`
    `static RGBSpace` | `SMPTE_240M`
    `static RGBSpace` | `SMPTE_C`
    `static RGBSpace` | `SRGB`
    `static RGBSpace` | `WIDE_GAMUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RGBSpace(float xRed, float yRed, float xGreen, float yGreen, float xBlue, float yBlue, float xWhite, float yWhite, float gamma, float breakPoint)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `XYZColor` | `convertRGBtoXYZ(Color c)`
    `Color` | `convertXYZtoRGB(float X, float Y, float Z)`
    `Color` | `convertXYZtoRGB(XYZColor c)`
    `float` | `gammaCorrect(float v)`
    `boolean` | `insideGamut(float r, float g, float b)`
    `static void` | `main(java.lang.String[] args)`
    `byte` | `rgbToLinear(byte r)`
    `int` | `rgbToLinear(int rgb)`
    `byte` | `rgbToNonLinear(byte r)`
    `int` | `rgbToNonLinear(int rgb)`
    `java.lang.String` | `toString()`
    `float` | `ungammaCorrect(float vp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ADOBE

          public static final RGBSpace ADOBE

    - #### APPLE

          public static final RGBSpace APPLE

    - #### NTSC

          public static final RGBSpace NTSC

    - #### HDTV

          public static final RGBSpace HDTV

    - #### SRGB

          public static final RGBSpace SRGB

    - #### CIE

          public static final RGBSpace CIE

    - #### EBU

          public static final RGBSpace EBU

    - #### SMPTE_C

          public static final RGBSpace SMPTE_C

    - #### SMPTE_240M

          public static final RGBSpace SMPTE_240M

    - #### WIDE_GAMUT

          public static final RGBSpace WIDE_GAMUT

  - ### Constructor Detail

    - #### RGBSpace

          public RGBSpace(float xRed,
                          float yRed,
                          float xGreen,
                          float yGreen,
                          float xBlue,
                          float yBlue,
                          float xWhite,
                          float yWhite,
                          float gamma,
                          float breakPoint)

  - ### Method Detail

    - #### convertXYZtoRGB

          public final Color convertXYZtoRGB(XYZColor c)

    - #### convertXYZtoRGB

          public final Color convertXYZtoRGB(float X,
                                             float Y,
                                             float Z)

    - #### convertRGBtoXYZ

          public final XYZColor convertRGBtoXYZ(Color c)

    - #### insideGamut

          public final boolean insideGamut(float r,
                                           float g,
                                           float b)

    - #### gammaCorrect

          public final float gammaCorrect(float v)

    - #### ungammaCorrect

          public final float ungammaCorrect(float vp)

    - #### rgbToNonLinear

          public final int rgbToNonLinear(int rgb)

    - #### rgbToLinear

          public final int rgbToLinear(int rgb)

    - #### rgbToNonLinear

          public final byte rgbToNonLinear(byte r)

    - #### rgbToLinear

          public final byte rgbToLinear(byte r)

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### main

          public static void main(java.lang.String[] args)